from airflow_bigabid_core.operators.ecs import ECSOperator
from airflow.utils.decorators import apply_defaults
from airflow.configuration import conf

class ECSBaseOperator(ECSOperator):
    @apply_defaults
    def __init__(self, *args, **kwargs):
        self.default_owner = conf.get('operators', 'DEFAULT_OWNER')
        super(ECSBaseOperator, self).__init__(*args, **kwargs)

    def pre_execute(self, context):
        task_id = self.task_id.split('.')[-1]
        self.owner = f"{self.default_owner}_{self.dag_id}_{task_id}"