from airflow.utils.decorators import apply_defaults
from airflow.contrib.operators.aws_athena_operator import AWSAthenaOperator


class RepairAthenaTableOperator(AWSAthenaOperator):
    @apply_defaults
    def __init__(
            self,
            table_name: str,
            database: str,
            *args, **kwargs):

        self.table_name = table_name
        self.database = database
        super(RepairAthenaTableOperator, self).__init__(
            query=self.generate_query(),
            output_location='s3://bigabid-tempfiles/airflow-logs/athena/',
            database=self.database,
            *args, **kwargs)

    def generate_query(self):
        return f'MSCK REPAIR TABLE {self.table_name}'
