elb_history_backfill_table = f'"upsolver_tests"."parquet_test_attribution_prod_level_1"'
elb_history_preprod_table = f'"upsolver_tests"."installs_outputs_v2"'
tests_dict = {
    'queries' : [
    {
        'query_name' : 'count_pre_prod_1day',
        'query': f"""SELECT count(1)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400"""
    },
    {
        'query_name' : 'count_backfill_1day',
        'query': f"""SELECT count(1)
                    FROM {elb_history_preprod_table} 
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400"""
    },
    {
        'query_name' : 'count_backfill_1day_is_attributed_group_by',
        'query': f"""SELECT is_attributed, count(1)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND is_attributed IS NOT NULL
                    GROUP BY is_attributed"""
    },
        {
        'query_name' : 'count_preprod_1day_is_attributed_group_by',
        'query': f"""SELECT is_attributed, count(1)
                    FROM {elb_history_preprod_table} 
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND is_attributed IS NOT NULL
                    GROUP BY is_attributed"""
    },
        {
        'query_name' : 'count_backfill_1day_mmp_name_group_by',
        'query': f"""SELECT mmp_name, count(1)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND mmp_name IS NOT NULL
                    GROUP BY mmp_name"""
    },
        {
        'query_name' : 'count_preprod_1day_mmp_name_group_by',
        'query': f"""SELECT mmp_name, count(1)
                    FROM {elb_history_preprod_table} 
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND mmp_name IS NOT NULL
                    GROUP BY mmp_name"""
    },
        {
        'query_name' : 'count_backfill_1day_mmp_name_and_is_attribution_group_by',
        'query': f"""SELECT mmp_name, is_attributed, count(1)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND mmp_name IS NOT NULL AND is_attributed IS NOT NULL
                    GROUP BY mmp_name, is_attributed"""
    },
        {
        'query_name' : 'count_preprod_1day_mmp_name_and_is_attribution_group_by',
        'query': f"""SELECT mmp_name, is_attributed, count(1)
                    FROM {elb_history_preprod_table} 
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND mmp_name IS NOT NULL AND is_attributed IS NOT NULL
                    GROUP BY mmp_name, is_attributed"""
    },
        {
        'query_name' : 'count_preprod_1day_sum_revenue',
        'query': f"""SELECT sum (action_revenue)
                    FROM {elb_history_preprod_table} 
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400"""
    },
        {
        'query_name' : 'count_backfill_1day_sum_revenue',
        'query': f"""SELECT sum (action_revenue)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400"""
    },
        {
        'query_name' : 'preprod_1day_auction_id_no_rows',
        'query': f"""SELECT count(1)
                    FROM {elb_history_preprod_table} 
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND is_attributed=true
                    AND auction_id IS NULL"""
    },
        {
        'query_name' : 'backfill_1day_auction_id_no_rows',
        'query': f"""SELECT count(1)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND is_attributed=true
                    AND auction_id IS NULL"""
    },
            {
        'query_name' : 'preprod_1day_ifa_ifv_ip_no_rows',
        'query': f"""SELECT count(1)
                    FROM {elb_history_preprod_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND is_attributed=false
                    AND (ifa IS NULL OR ifv IS NULL OR ip IS NULL)"""
    },
        {
        'query_name' : 'backfill_1day_ifa_ifv_ip_no_rows',
        'query': f"""SELECT count(1)
                    FROM {elb_history_backfill_table}
                    WHERE request_unixtime between 1640736000 and 1640822400
                    AND action_unixtime between 1640736000 and 1640822400
                    AND is_attributed=false
                    AND (ifa IS NULL OR ifv IS NULL OR ip IS NULL)"""
    },
    ],
    'tests': [
        {
        'method' :'eq',
        'field_1' : {'type' : 'query' ,'value' : 'count_backfill_1day'},
        'field_2' : {'type' : 'query', 'value' : 'count_pre_prod_1day'},
        'rel_tol' : 0.005
    },{
        'method' :'eq',
        'field_1' : {'type' : 'query' ,'value' : 'count_backfill_1day_is_attributed_group_by'},
        'field_2' : {'type' : 'query', 'value' : 'count_preprod_1day_is_attributed_group_by'},
        'rel_tol' : 0.005
    },{
        'method' :'eq',
        'field_1' : {'type' : 'query' ,'value' : 'count_backfill_1day_mmp_name_group_by'},
        'field_2' : {'type' : 'query', 'value' : 'count_preprod_1day_mmp_name_group_by'},
        'rel_tol' : 0.005
    },{
        'method' :'eq',
        'field_1' : {'type' : 'query' ,'value' : 'count_backfill_1day_mmp_name_and_is_attribution_group_by'},
        'field_2' : {'type' : 'query', 'value' : 'count_preprod_1day_mmp_name_and_is_attribution_group_by'},
        'rel_tol' : 0.005
    },{
        'method' :'eq',
        'field_1' : {'type' : 'query' ,'value' : 'count_preprod_1day_sum_revenue'},
        'field_2' : {'type' : 'query', 'value' : 'count_backfill_1day_sum_revenue'},
        'rel_tol' : 0.005
    },{
        'method' :'lte',
        'field_1' : {'type' : 'query' ,'value' : 'preprod_1day_auction_id_no_rows'},
        'field_2' : {'type' : 'list','value' : [[0]]},
    },{
        'method' :'lte',
        'field_1' : {'type' : 'query' ,'value' : 'backfill_1day_auction_id_no_rows'},
        'field_2' : {'type' : 'list','value' : [[0]]},
    },{
        'method' :'lte',
        'field_1' : {'type' : 'query' ,'value' : 'preprod_1day_ifa_ifv_ip_no_rows'},
        'field_2' : {'type' : 'list','value' : [[0]]},
    },{
        'method' :'lte',
        'field_1' : {'type' : 'query' ,'value' : 'backfill_1day_ifa_ifv_ip_no_rows'},
        'field_2' : {'type' : 'list','value' : [[0]]},
    }

    ]} 